#!/usr/bin/env bash

# Получаем список всех снапов с ревизиями, фильтруем по статусу "disabled"
snap list --all | awk '/disabled/{print $1,$3}' | while read SNAP_NAME REVISION; do
    echo "Удаляю $SNAP_NAME ревизию $REVISION..."
    sudo snap remove "$SNAP_NAME" --revision="$REVISION"
done
